%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name rugged

Summary: Rugged is a Ruby binding to the libgit2 linkable library
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.28.2
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/libgit2/rugged
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch0:  add_http_proxy_support.patch
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}ruby
Requires: libssh2
BuildRequires: %{?scl_prefix}ruby-devel
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: cmake
BuildRequires: libssh2-devel
BuildRequires: openssl-devel
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Rugged is a Ruby bindings to the libgit2 linkable C Git library. This is
for testing and using the libgit2 library in a language that is awesome.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}
%setup -q -D -T -n  %{gem_name}-%{version}
%patch0 -p1

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}/%{gem_name}
cp -a .%{gem_extdir_mri}/gem.build_complete %{buildroot}%{gem_extdir_mri}/
cp -a .%{gem_extdir_mri}/%{gem_name}/*.so %{buildroot}%{gem_extdir_mri}/%{gem_name}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/{ext,vendor}

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_extdir_mri}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Aug 12 2019 Satoe Imaishi <simaishi@redhat.com> - 0.28.2-1
- Update to 0.28.2
- Add http proxy support (manageiq/rugged tag: 0.28.2-1)

* Tue Aug 06 2019 Satoe Imaishi <simaishi@redhat.com> - 0.27.7-2
- Add SSH support

* Tue Mar 05 2019 Satoe Imaishi <simaishi@redhat.com> - 0.27.7-1
- Update to 0.27.7

* Mon Sep 10 2018 Satoe Imaishi <simaishi@redhat.com> - 0.27.4-1
- Update to 0.27.4

* Fri Aug 11 2017 Satoe Imaishi <simaishi@redhat.com> - 0.25.1.1-1
- Update to 0.25.1.1

* Mon Oct 31 2016 Satoe Imaishi <simaishi@redhat.com> - 0.25.0-b10.2
- Add openssl-devel for SSL support

* Tue Oct 25 2016 Satoe Imaishi <simaishi@redhat.com> - 0.25.0-b10.1
- Update to 0.25.0b10

* Wed Mar 16 2016 Satoe Imaishi <simaishi@redhat.com> - 0.23.3-1
- Initial Build
